co.aikar.commands

## Class BukkitCommandExecutionContext

- java.lang.Object
- - co.aikar.commands.CommandExecutionContext<BukkitCommandExecutionContext,BukkitCommandIssuer>
  - - co.aikar.commands.BukkitCommandExecutionContext

    public class BukkitCommandExecutionContext
    extends co.aikar.commands.CommandExecutionContext<BukkitCommandExecutionContext,BukkitCommandIssuer>

### Field Summary

### Fields inherited from class co.aikar.commands.CommandExecutionContext

`issuer`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.bukkit.entity.Player` `getPlayer()` Returns the Player object if this Issuer is a Player
`org.bukkit.command.CommandSender` `getSender()`

### Methods inherited from class co.aikar.commands.CommandExecutionContext

`canOverridePlayerContext, getAnnotation, getAnnotationValue, getAnnotationValue, getArgs, getBooleanFlagValue, getBooleanFlagValue, getCmd, getDoubleFlagValue, getFirstArg, getFlags, getFlagValue, getFlagValue, getFlagValue, getFlagValue, getFlagValue, getFlagValue, getFloatFlagValue, getIndex, getIntFlagValue, getIssuer, getLastArg, getLongFlagValue, getNumParams, getParam, getPassedArgs, getResolvedArg, getResolvedArg, getResolvedArg, hasAnnotation, hasFlag, isLastArg, isOptional, joinArgs, joinArgs, popFirstArg, popLastArg`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getSender

    public org.bukkit.command.CommandSender getSender()

#### getPlayer

    public org.bukkit.entity.Player getPlayer()

Returns the Player object if this Issuer is a Player

Returns: